EGG2C(1)

NAME
egg2c - convert .egg geometry into compilable C tables

SYNOPSIS
egg2c [opts] input.egg output.c
egg2c [opts] -o output.c input.egg
egg2c [opts] input.egg >output.c

DESCRIPTION
This program reads Egg files and outputs code that will almost compile as a C or C++ program. You get to define the data structures for the program after the fact; the program only generates tables of vertices and polygons.

OPTIONS

-noabs
    Don't allow the input egg file to have absolute pathnames. If it does, abort with an error. This option is designed to help detect errors when populating or building a standalone model tree, which should be self-contained and include only relative pathnames.

-v  Generate a table of vertex positions.

-u  Generate a table of UV's per each vertex.

-vn Generate a table of normals per each vertex.

-vc Generate a table of colors per each vertex.

-p  Generate a table of polygons that index into the above tables.

-pn Generate a table of normals per each polygon.

-pc Generate a table of colors per each polygon.

-t  Output only triangles by subdividing higher-order polygons.

-o filename
    Specify the filename to which the resulting C file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file, or standard output is used if there are no other parameters.

-cs coordinate-system
    Specify the coordinate system of the resulting C file. This may be one of 'y-up', 'z-up', 'y-up-left', or 'z-up-left'. The default is the same coordinate system as the input egg file. If this is different from the input egg file, a conversion will be performed.

-h  Display this help page.